Subject: customize-face not working: seems to apply to frame-face

From: David Reitter <[email-masked]>
Date: Wed, 27 May 2009 20:40:37 -0400

Emacs -Q

(set-face-attribute 'default nil
		    :height 130
		    :family "Lucida Grande")
;; switches default face

(customize-face 'default)
;; switch back manually to Monaco

(make-frame-command)  ;; C-x 5 2
;; the new frame is shown in the Lucida face.  Why?

The same thing works as I would expect in Emacs 22.  I would generally  
assume that `customize-face' applies to faces in future frames as well.

If this is no bug, I think an entry in NEWS under "Faces" would be  
appropriate....

Cc'ing Bob Halley who isolated this (but doesn't think it's a bug).

PS.: text-scale-mode is mentioned twice in NEWS.